/********************************************************************************
*	HVMenu variables for Mambo Open Source Administration	         	*
*	(C) Emir Sakic <saka@hotmail.com>		          		*		
*********************************************************************************/

	var NoOffFirstLineMenus=5;			// Number of first level items
	var LowBgColor='';			// Background color when mouse is not over
	var LowSubBgColor='#999999';			// Background color when mouse is not over on subs
	var HighBgColor='';			// Background color when mouse is over
	var HighSubBgColor='#666699';			// Background color when mouse is over on subs
	var FontLowColor='white';			// Font color when mouse is not over
	var FontSubLowColor='white';			// Font color subs when mouse is not over
	var FontHighColor='#ccff00';			// Font color when mouse is over
	var FontSubHighColor='#ccff00';		// Font color subs when mouse is over
	var BorderColor='';			// Border color
	var BorderSubColor='#676767';			// Border color for subs
	var BorderWidth=1;				// Border width
	var BorderBtwnElmnts=1;				// Border between elements 1 or 0
	var FontFamily="Tahoma, Arial, Helvetica, sans-serif"	// Font family menu items
	var FontSize=8;					// Font size menu items
	var FontBold=1;					// Bold menu items 1 or 0
	var FontItalic=0;					// Italic menu items 1 or 0
	var MenuTextCentered='left';			// Item text position 'left', 'center' or 'right'
	var MenuCentered='left';			// Menu horizontal position 'left', 'center' or 'right'
	var MenuVerticalCentered='top';		// Menu vertical position 'top', 'middle','bottom' or static
	var ChildOverlap=.0;				// horizontal overlap child/ parent
	var ChildVerticalOverlap=.0;			// vertical overlap child/ parent
	var StartTop=2;					// Menu offset x coordinate
	var StartLeft=75;					// Menu offset y coordinate
	var VerCorrect=0;					// Multiple frames y correction
	var HorCorrect=0;					// Multiple frames x correction
	var LeftPaddng=5;					// Left padding
	var TopPaddng=2;					// Top padding
	var FirstLineHorizontal=1;			// SET TO 1 FOR HORIZONTAL MENU, 0 FOR VERTICAL
	var MenuFramesVertical=1;			// Frames in cols or rows 1 or 0
	var DissapearDelay=1000;			// delay before menu folds in
	var TakeOverBgColor=1;				// Menu frame takes over background color subitem frame
	var FirstLineFrame='navig';			// Frame where first level appears
	var SecLineFrame='space';			// Frame where sub levels appear
	var DocTargetFrame='space';			// Frame where target documents appear
	var TargetLoc='';					// span id for relative positioning
	var HideTop=0;					// Hide first level when loading new document 1 or 0
	var MenuWrap=1;					// enables/ disables menu wrap 1 or 0
	var RightToLeft=0;				// enables/ disables right to left unfold 1 or 0
	var UnfoldsOnClick=0;				// Level 1 unfolds onclick/ onmouseover
	var WebMasterCheck=0;				// menu tree checking on or off 1 or 0
	var ShowArrow=1;					// Uses arrow gifs when 1
	var KeepHilite=1;					// Keep selected path highligthed
	var Arrws=['../images/admin/tri.gif',5,10,'../images/M_images/6977transparent.gif',5,10,'../images/admin/trileft.gif',5,10];	// Arrow source, width and height

function BeforeStart(){return}
function AfterBuild(){return}
function BeforeFirstOpen(){return}
function AfterCloseAll(){return}


// Menu tree
//	MenuX=new Array(Text to show, Link, background image (optional), number of sub elements, height, width);
//	For rollover images set "Text to show" to:  "rollover:Image1.jpg:Image2.jpg"

Menu1=new Array("Components","","",13,17,88);
	Menu1_1=new Array("Articles","","",2,18,120);	
		Menu1_1_1=new Array("View Articles","index2.php?option=Articles","",0,18,130);
		Menu1_1_2=new Array("View Categories","index2.php?option=Articles&act=categories","",0);
	Menu1_2=new Array("Banners","","",2);
		Menu1_2_1=new Array("Active Banners","index2.php?option=Current","",0,18,110);
		Menu1_2_2=new Array("View Clients","index2.php?option=Clients","",0);
	Menu1_3=new Array("Contact Details","index2.php?option=contact","",0);
	Menu1_4=new Array("FAQ's","","",2);
		Menu1_4_1=new Array("View FAQ's","index2.php?option=Faq","",0,18,130);
		Menu1_4_2=new Array("View Categories","index2.php?option=Faq&act=categories","",0);
/*	Menu1_4=new Array("Forum","","",2);
		Menu1_4_1=new Array("View Threads","index2.php?option=Forums&act=threads","",0,18,110);
		Menu1_4_2=new Array("View Forums","index2.php?option=Forums","",0);
*/
	Menu1_5=new Array("Main Menu","","",3);
		Menu1_5_1=new Array("Top Sections","index2.php?option=MenuSections","",0,18,90);
		Menu1_5_2=new Array("Sub Sections","index2.php?option=SubSections","",0);
		Menu1_5_3=new Array("Install Custom","index2.php?option=component_installer","",0);
	Menu1_6=new Array("News","","",2);
		Menu1_6_1=new Array("Edit/View News","index2.php?option=News","",0,18,130);
		Menu1_6_2=new Array("Edit/View Categories","index2.php?option=News&act=categories","",0);
	Menu1_7=new Array("News Feeds","index2.php?option=newsfeeds","",0);
	Menu1_8=new Array("News Flash","index2.php?option=Newsflash","",0);
	Menu1_9=new Array("Page Modules","","",2);
		Menu1_9_1=new Array("View Modules","index2.php?option=Components","",0,18,120);
		Menu1_9_2=new Array("Install Custom","index2.php?option=module_installer","",0);
	Menu1_10=new Array("Site Preview","javascript:OnClick=window.open('../index.php', '', 'height=480, width=640, resizable=yes, toolbars=no, scrollbars=yes')","",0);
	Menu1_11=new Array("Survey/Polls","index2.php?option=Survey","",0);
	Menu1_12=new Array("Gallery","javascript:OnClick=window.open('gallery/gallery.php', '', 'height=480, width=700, resizable=yes, toolbars=no, scrollbars=yes')","",0);
	Menu1_13=new Array("Web Links","","",2);
		Menu1_13_1=new Array("View Web Links","index2.php?option=Weblinks","",0,18,130);
		Menu1_13_2=new Array("View Categories","index2.php?option=Weblinks&act=categories","",0);

Menu2=new Array("System","","",6,17,61);
	Menu2_1=new Array("Mambo Database","","",7,18,120);
                Menu2_1_1=new Array("Tables Status", "index2.php?option=databaseAdmin&task=dbStatus","",0,20,120);
                Menu2_1_2=new Array("Tables Optimize", "index2.php?option=databaseAdmin&task=dbOptimize","",0,20,120);
                Menu2_1_3=new Array("Tables Analyze", "index2.php?option=databaseAdmin&task=dbAnalyze","",0,20,120);
                Menu2_1_4=new Array("Tables Check", "index2.php?option=databaseAdmin&task=dbCheck","",0,20,120);
                Menu2_1_5=new Array("Tables Repair", "index2.php?option=databaseAdmin&task=dbRepair","",0,20,120);
                Menu2_1_6=new Array("Database Backup", "index2.php?option=databaseAdmin&task=dbBackup","",0,20,120);
                Menu2_1_7=new Array("Database Restore", "index2.php?option=databaseAdmin&task=dbRestore","",0,20,120);
        Menu2_2=new Array("Global CheckIn","index2.php?option=global_checkin","",0);
        Menu2_3=new Array("phpMyAdmin","index2.php?option=phpMyAdmin","",0);
	Menu2_4=new Array("Theme Manager","index2.php?option=systemInfo","",0);
	Menu2_5=new Array("Site Statistics","","",2,18,120);
                Menu2_5_1=new Array("Web Browser","index2.php?option=statistics&task=browser","",0,18,120);
                Menu2_5_2=new Array("Operating System","index2.php?option=statistics&task=os","",0);
        Menu2_6=new Array("Top 10","","",2);
                Menu2_6_1=new Array("News Stories", "index2.php?option=top10&task=news","",0,18,90);
                Menu2_6_2=new Array("Articles", "index2.php?option=top10&task=articles","",0);

Menu3=new Array("Users","","",2,17,49);
	Menu3_1=new Array("Administrators","","",2,18,110);
		Menu3_1_1=new Array("Add Administrator","index2.php?option=Administrators&task=new","",0,18,125);
		Menu3_1_2=new Array("View Administrators","index2.php?option=Administrators","",0);
	Menu3_2=new Array("Users","","",2,18,110);
		Menu3_2_1=new Array("Add User","index2.php?option=Users&task=new","",0,18,80);
		Menu3_2_2=new Array("View Users","index2.php?option=Users","",0);

Menu4=new Array("Logout","logout.php","",0,18,70);

Menu5=new Array("Help","","",1,17,50);
	Menu5_1=new Array("About","index2.php?option=about","",0,18,110);
